Flags API reference

Flags API · Scheduled-Changes

get/v1/workspaces/{workspace_id}/scheduled-changesAuth

List scheduled changes

Scheduled value changes, soonest first. Filter by `status` (`pending`, `applied`, `failed`, `cancelled`), project, environment or setting.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

statusstring

Only this status.

project_idstring · uuid

Only this project.

environment_idstring · uuid

Only this environment.

setting_idstring · uuid

Only this setting.

cursorstring

Opaque cursor from `pagination.next_cursor`.

limitinteger

Page size.

Response · 200 A page of scheduled changes.

data*array

Scheduled changes, soonest first.

pagination*object

Cursor pagination.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/scheduled-changes
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "project_id": "00000000-0000-0000-0000-000000000000",
      "config_id": "00000000-0000-0000-0000-000000000000",
      "setting_id": "00000000-0000-0000-0000-000000000000",
      "setting_key": "new_checkout",
      "environment_id": "00000000-0000-0000-0000-000000000000",
      "environment_key": "production",
      "operation": "patch",
      "payload": {},
      "base_version": 7,
      "change_request_id": "00000000-0000-0000-0000-000000000000",
      "run_at": "2026-01-01T00:00:00.000Z",
      "status": "pending",
      "note": "Launch at 09:00",
      "created_by": {},
      "applied_change_id": "00000000-0000-0000-0000-000000000000",
      "executed_at": "2026-01-01T00:00:00.000Z",
      "last_error": {},
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {}
}